#cloud-config
autoinstall:
  version: 1
  locale: "en_US.UTF-8"
  keyboard:
    layout: "us"
  identity:
    hostname: "vpn-gateway"
    username: "administrator"
    password: "$6$rounds=4096$wU9l9I8pZ0uTj3Qk$vL2sS1zZ5fN6xR3vB8yH7kM9nA2bC4dE5fG6hJ7kL8"
  ssh:
    install-server: true
    allow-pw: true
  network:
    network:
      version: 2
      ethernets:
        enp0s3:
          dhcp4: true
  storage:
    layout:
      name: "lvm"
    swap:
      size: 1
  packages:
    - curl
    - wget
    - htop
    - ufw
  late-commands:
    - ufw --force disable
    - ufw allow 22/tcp
    - ufw allow 8443/tcp
    - ufw allow 54321/tcp
    - ufw --force enable